Bug 481777 - garbled printing
garbled printing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 10:07 EST by Michael J. Chudobiak
Modified: 2009-12-18 02:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:42:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Camera shot of the garbled printed output, 5 pages. (13.19 KB, image/jpeg)
2009-01-27 10:07 EST, Michael J. Chudobiak
no flags Details
Expected output, as generated in print-to-file-pdf mode (150.91 KB, application/pdf)
2009-01-27 10:08 EST, Michael J. Chudobiak
no flags Details

  None (edit)
Description Michael J. Chudobiak 2009-01-27 10:07:06 EST
Created attachment 330095 [details]
Camera shot of the garbled printed output, 5 pages.

Description of problem: This html page, consisting of simple text and png charts, will not print to printers correctly. The print-to-PDF functions works fine, though.

http://www.avtechpulse.com/downloads/test/test-charts.html

How reproducible: Try printing the above web page, to a real printer.

Actual results: The charts are not printed, except for small pieces in the top-left corner of each page. See the attached digital camera photo of the printed output.

Expected results: See the attached print-to-pdf output file for the correct appearance.

Additional info: The problem occurs regardless of whether or not the printing of background images is enabled.
Comment 1 Michael J. Chudobiak 2009-01-27 10:08:06 EST
Created attachment 330096 [details]
Expected output, as generated in print-to-file-pdf mode
Comment 2 Matěj Cepl 2009-01-27 12:02:14 EST
Could you please retest this issue with the upstream binary from http://www.mozilla.com/en-US/firefox/all-beta.html (you don't have to uninstall the Fedora package -- just unpack tarball somewhere and run ./firefox from that directory)? Does it work there?
Comment 3 Michael J. Chudobiak 2009-01-27 13:31:25 EST
The upstream beta binary worked OK.

- Mike
Comment 4 Martin Stransky 2009-01-28 04:25:51 EST
Can you please test latest stable official firefox binary? (3.0.5 or 3.0.6 from http://www.mozilla.com/en-US/firefox)

There are two possibilities - our current Fedora 10 package is broken and the upstream one works fine or the bug is a general one and it's fixed in current beta.
Comment 5 Michael J. Chudobiak 2009-01-28 09:05:21 EST
The 3.0.5 binary works fine.

That suggests it is a Fedora-specific problem.

- Mike
Comment 6 Martin Stransky 2009-01-29 05:07:19 EST
Hm, it happens when firefox prints to postscript, but PDF is fine...strange.
Comment 7 Martin Stransky 2009-01-29 07:04:44 EST
Broken postscript printing seems to be caused by system cairo library in Fedora 10. Firefox built with internal cairo generated ps file correctly...moving to cairo.
Comment 8 Bug Zapper 2009-11-18 05:53:04 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 02:42:32 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.